-- ShowLevel.lua
-- Author: The Nerd Wonder (thenerdwonder@yahoo.com)

local debugMode;
local oldPlayerFrameStatusUpdate

-- Initialization function
function ShowLevelInit(self)
	self:RegisterEvent("ADDON_LOADED");

	oldPlayerFrameStatusUpdate = PlayerFrame_UpdateStatus
	PlayerFrame_UpdateStatus = New_PlayerFrame_UpdateStatus

	-- Activate/deactivate debugging features
	debugMode = false
	
	if(debugMode) then
		DEFAULT_CHAT_FRAME:AddMessage("ShowLevel Loaded");
	end
end

function New_PlayerFrame_UpdateStatus()
	if(debugMode) then
		DEFAULT_CHAT_FRAME:AddMessage("Entering New_PlayerFrame_UpdateStatus");	
		if IsResting() then 
			DEFAULT_CHAT_FRAME:AddMessage("Resting? : Yes");	
		else
			DEFAULT_CHAT_FRAME:AddMessage("Resting? : No");	
		end
		if PlayerFrame.inCombat then 
			DEFAULT_CHAT_FRAME:AddMessage("Fighting? : Yes");	
		else
			DEFAULT_CHAT_FRAME:AddMessage("Fighting? : No");	
		end
		if PlayerFrame.onHateList then 
			DEFAULT_CHAT_FRAME:AddMessage("Hated? : Yes");	
		else
			DEFAULT_CHAT_FRAME:AddMessage("Hated? : No");	
		end
	end
	
	oldPlayerFrameStatusUpdate()
	
	PlayerRestIcon:Hide();
	PlayerAttackIcon:Hide();
end
